package com.bonus.material.contract.mapper;

import com.bonus.material.contract.domain.BmContract;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2024/12/13 - 9:24
 */
public interface BmContractMapper {

    List<BmContract> list(BmContract bmContract);

    Integer add(BmContract bmContract);

    Integer edit(BmContract bmContract);

    Integer del(BmContract bmContract);

    String selectTaskNumByMonth(@Param("date") Date nowDate);

    Integer updateStatus(BmContract bmContract);

    Integer updateStatusOther(BmContract bmContract);

    List<BmContract> lisTemplate(BmContract bmContract);

    BmContract disclaimer();

    BmContract getContract(BmContract bmContract);
}
